[sword-devel] SWORD 1.7.0 final stretch

Chris Little chrislit at crosswire.org
Tue Jul 16 05:13:21 MST 2013

On 7/16/2013 5:04 AM, Mark Trompell wrote:
> On Tue, Jul 16, 2013 at 10:40 AM, Peter von Kaehne <refdoc at gmx.net> wrote:
>> Von: "Troy A. Griffitts" <scribe at crosswire.org>
>>> Does anyone have Ubuntu installed and can try building the swig bindings to confirm or deny they have the same problem as     > Peter?  This is using autotools.  Simply compile and install sword, then cd to bindings/swig/package and follow the short    > README.  Thank for any testing.
>> We know already that 12.04LTS  has no problems. Greg confirmed this. I have problems on 12.10 and 13.04.
>> But:
>> One of the most recent changes must have introduced a new problem. Running a program using the Perl bindings causes following error messages. This was not present a few iterations ago.
>> peter at peter-ThinkPad-Twist:~/Source/sword/bindings/swig/package/python$ ~/Source/sword-tools/modules/crossreferences/xreffix.pl
>> UTF8Transliterator: ICU: no resource index to load
>> UTF8Transliterator: ICU: status U_MISSING_RESOURCE_ERROR
>> Afterwards the program runs. I have not yet been able to test if there are more serious problems.
> I'm seeing this for weeks, maybe longer (building with cmake, so maybe
> the issue is build related), so maybe it wasn't me breaking my icu
> install.
> Would one need to install the ressource files somewhere? or should
> they come with icu provided by my system?

You can install icu-sword from our SVN, hack the additional 
transliterators into stock ICU (which is more up to date), or ignore the 


More information about the sword-devel mailing list